Subject: disman post-meeting details

From: Randy Presuhn <[email-masked]>
Date: Tue, 18 Dec 2001 09:31:26 -0800 (PST)

Hi -

Thanks to Dan for taking notes during the disman WG
session in Salt Lake City.  We still need to turn them
into complete sentences for the minutes, as required by
http://www.ietf.org/instructions/minutes.html

Any volunteers?

Thanks also to Sharon, Kam, and Ram for getting
their presentations to me so quickly.  I've put
the presentations on the FTP site in the directory
ftp://amethyst.bmc.com/pub/disman/ietf52/

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

> From [email-masked] Wed Dec 12 19:29:54 PST 2001
> content-class: urn:content-classes:message
> Subject: DISMAN Meeting Notes
> Date: Thu, 13 Dec 2001 05:30:48 +0200
> Message-ID: <[email-masked]>
> Thread-Topic: DISMAN Meeting Notes
> Thread-Index: AcGDhpnwDf18ymd7Sqe0qXcmt2EkDA==
> From: "Romascanu, Dan (Dan)" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>
> Cc: "Romascanu, Dan (Dan)" <[email-masked]>
> 
> This is a multi-part message in MIME format.
> 
> ------_=_NextPart_001_01C18386.8ECB558D
> Content-Type: text/plain;
> 	charset="windows-1255"
> Content-Transfer-Encoding: quoted-printable
> 
> 1. Status of documents
> 
> 1.1 Expression MIB Implementation Report from Cisco (Ram Kavasseri)
> - shipped since December 1998
> - based on first draft of DISMAN expression MIB and not on RFC 2892
> 
> 1.2 Event MIB - RFC 2891from same source
> - implemented on several platforms
> - one customer works to deploy in production network
> - clarification questions do not seem to require special clarifications
> in the MIB text
> - cannot apply the thresholding for a range of ports - AI Ran will
> provide an example to the WG list
> 
> 1.3 Implementation Report for Notification Log MIB - RFC 3014
> - finished implementation two moths ago, not yet in the hands of the
> customers
> - need support for default log.
>  - named log supported in code but not enabled due to question regarding
> access restrictions. The chair clarified that access is taken into
> account when the log is polled. AI - Ram to clarify this in the text=20
> 
> 1.4 Issues from the list with Notification Log MIB
> - clarifying text to whether inform resends are added to the
> notification log - they should not     =20
> - add a number in the nlmLogTable that tells you how many variable
> bindings are stored in the nlmLogVariableType - results in fewer queries
> - resolution Sharon to do the math and see how much this improves, take
> it to the mailing list
> variable to indicate the current log index for each named log - same as
> the previous
> - text be added to indicate that view-based access checks should not be
> done when log is polled - already discussed at 1.3
> - accessing logged notification is inefficient - should this be
> revisited? no input was brought to the mailing list. Ram and Dave
> Perkins will get together to create an alternate MIB proposal for more
> efficient retrieval, prototype it, and test it in real life scenarios.
> If the result implies changes that prevent advancement, the priority is
> on providing the right solution
> - should we add a nlmLogConfigAgeout for each log? - needs to be
> discussed on the mailing list=20
> 
> 2. New Work Items=20
> - persistency / storage type - solution for the specific problem of the
> Notification Log MIB - Ran to steer proposal for the specific problem,
> while the WG recognizes that this is a broader issue
> - DMTF additions - will be sent to the WG list by Andrea Westerinen on
> behalf of the DMTF
> 
> 3. Alarm MIB
> 
> - Changes in -03
> - Issues - DateAndTime - chair asks whether the new index in the Clear
> table indicates clear time - answer yes, keeps the index
> - relation with the Event MIB - add example? no
> - EngineId vs. ContextEngineId - might be relevant for the proxy case -
> was taken out of the MIB
> - Telecordia model - issue tabled until information becomes available=20
> - Detecting Change of state - clarification of activeAlarmModelPointer
> to be changed in 04
> - Editors will do their best to issue the draft-04 next week, a Last
> Call will be issued for a longer period than usual, taking into account
> the holidays
> - Ran and Dave P. committed to read and review
> - Randy will ask on the list for positive and negative feedback as well
> 
> 4. Condition MIB and ARC MIB
> - changes from version 00 to version 01
> - open issues
> - terminology - condition to be taken on the mailing list - Kam to
> initiate the thread
> - Alarm Raised and Clear - should point to the Alarm MIB
> - Alarm type definition  - delete section 3.2
> - Section 4.1 readability  - text needs fixing, diagram should be taken
> out
> - change 'clarification' in Section 5 that says that when a resource is
> in ARC mode active alarm information SHALL be available for retrieval by
> the managing system - change active alarm with condition information
> - section 5.1 - ARC impact on alarm notifications - needs to be further
> worked on the list.=20
> - relationship with Alarm MIB - Sharon to propose text on the mailing
> list
> 
> 5. A Clustering Architecture for Replicating Managed Objects (Aldri
> Santos, Glenn Keni)
> - Replication MIB for Fault tolerance
> - draft-yi-manet-pc-00.txt - defines clustering
> - several non-MIB technologies do exactly this
> - what are the advantages of doing it in a MIB?=20
> - is there any value beyond the specific clustering and replication
> techniques in Mobile IP
> - discuss on the list
> 
> 6. Wrap Up
> - not sufficient feedback for advancing document
> - changes for target dates - Condition and ARC MIB - see if on the
> mailing list we can come with a confident estimation=20
> 
> 
> 
> =20
> 
> 
> ------_=_NextPart_001_01C18386.8ECB558D
> Content-Type: text/html;
> 	charset="windows-1255"
> Content-Transfer-Encoding: quoted-printable
> 
> <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
> <HTML>
> <HEAD>
> <META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
> charset=3Dwindows-1255">
> <META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
> 6.0.4720.25">
> <TITLE>DISMAN Meeting Notes</TITLE>
> </HEAD>
> <BODY>
> <!-- Converted from text/rtf format -->
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">1. Status of =
> documents</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">1.1 Expression MIB =
> Implementation Report from Cisco (Ram Kavasseri)</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- shipped since December =
> 1998</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- based on first draft of =
> DISMAN expression MIB and not on RFC 2892</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">1.2 Event MIB - RFC 2891from =
> same source</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- implemented on several =
> platforms</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- one customer works to =
> deploy in production network</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- clarification questions do =
> not seem to require special clarifications in the MIB text</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- cannot apply the =
> thresholding for a range of ports - AI Ran will provide an example to =
> the WG list</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">1.3 Implementation Report for =
> Notification Log MIB - RFC 3014</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- finished implementation two =
> moths ago, not yet in the hands of the customers</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- need support for default =
> log.</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">&nbsp;- named log supported =
> in code but not enabled due to question regarding access restrictions. =
> The chair clarified that access is taken into account when the log is =
> polled. AI - Ram to clarify this in the text </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">1.4 Issues from the list with =
> Notification Log MIB</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- clarifying text to whether =
> inform resends are added to the notification log - they should =
> not&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- add a number in the =
> nlmLogTable that tells you how many variable bindings are stored in the =
> nlmLogVariableType - results in fewer queries - resolution Sharon to do =
> the math and see how much this improves, take it to the mailing =
> list</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">variable to indicate the =
> current log index for each named log - same as the previous</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- text be added to indicate =
> that view-based access checks should not be done when log is polled - =
> already discussed at 1.3</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- accessing logged =
> notification is inefficient - should this be revisited? no input was =
> brought to the mailing list. Ram and Dave Perkins will get together to =
> create an alternate MIB proposal for more efficient retrieval, prototype =
> it, and test it in real life scenarios. If the result implies changes =
> that prevent advancement, the priority is on providing the right =
> solution</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- should we add a =
> nlmLogConfigAgeout for each log? - needs to be discussed on the mailing =
> list </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">2. New Work Items </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- persistency / storage type =
> - solution for the specific problem of the Notification Log MIB - Ran to =
> steer proposal for the specific problem, while the WG recognizes that =
> this is a broader issue</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- DMTF additions - will be =
> sent to the WG list by Andrea Westerinen on behalf of the =
> DMTF</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">3. Alarm MIB</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Changes in -03</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Issues - DateAndTime - =
> chair asks whether the new index in the Clear table indicates clear time =
> - answer yes, keeps the index</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- relation with the Event MIB =
> - add example? no</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- EngineId vs. =
> ContextEngineId - might be relevant for the proxy case - was taken out =
> of the MIB</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Telecordia model - issue =
> tabled until information becomes available </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Detecting Change of state - =
> clarification of activeAlarmModelPointer to be changed in 04</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Editors will do their best =
> to issue the draft-04 next week, a Last Call will be issued for a longer =
> period than usual, taking into account the holidays</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Ran and Dave P. committed =
> to read and review</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Randy will ask on the list =
> for positive and negative feedback as well</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">4. Condition MIB and ARC =
> MIB</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- changes from version 00 to =
> version 01</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- open issues</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- terminology - condition to =
> be taken on the mailing list - Kam to initiate the thread</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Alarm Raised and Clear - =
> should point to the Alarm MIB</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Alarm type definition&nbsp; =
> - delete section 3.2</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Section 4.1 =
> readability&nbsp; - text needs fixing, diagram should be taken =
> out</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- change 'clarification' in =
> Section 5 that says that when a resource is in ARC mode active alarm =
> information SHALL be available for retrieval by the managing system - =
> change active alarm with condition information</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- section 5.1 - ARC impact on =
> alarm notifications - needs to be further worked on the list. =
> </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- relationship with Alarm MIB =
> - Sharon to propose text on the mailing list</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">5. A Clustering Architecture =
> for Replicating Managed Objects (Aldri Santos, Glenn Keni)</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- Replication MIB for Fault =
> tolerance</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- draft-yi-manet-pc-00.txt - =
> defines clustering</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- several non-MIB =
> technologies do exactly this</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- what are the advantages of =
> doing it in a MIB? </FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- is there any value beyond =
> the specific clustering and replication techniques in Mobile =
> IP</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- discuss on the =
> list</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">6. Wrap Up</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- not sufficient feedback for =
> advancing document</FONT></P>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">- changes for target dates - =
> Condition and ARC MIB - see if on the mailing list we can come with a =
> confident estimation </FONT></P>
> <BR>
> <BR>
> 
> <P DIR=3DLTR><FONT SIZE=3D2 FACE=3D"Arial">&nbsp;</FONT></P>
> 
> </BODY>
> </HTML>
> ------_=_NextPart_001_01C18386.8ECB558D--
>